Skip to main content

[JAI-IMAGEIO] Query: your application's Java version requirement

9 replies [Last post]
Anonymous

We have posted this query before but I can't recall when so here we go again.

What is the version requirement for your application?

Is there anyone who is still restricted to JRE 1.3?

Is there anyone who *not* be able to deploy on Java 5 starting for example
from March/April 2007?

Thanks,

Brian

----------------
Brian Burkhalter
Java Media, Imaging, and Graphics
Sun Microsystems, Inc.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
This email message is for the sole use of the intended recipient(s)
and may contain confidential and privileged information. Any
unauthorized review, use, disclosure or distribution is prohibited.
If you are not the intended recipient, please contact the sender by
reply email and destroy all copies of the original message.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
Brian Burkhalter

You're correct: I should have written develop. In considering the direction
forward for JAI and JAI Image I/O one needs to determine the JVM version
requirements as that might dictate some changes. For example using generics in
JAI would clean up the code a lot.

On Thu, 12 Oct 2006, robert engels wrote:

> i do think that deploy and develop are too different things. Will we need 1.5
> to develop?
>
> On Oct 12, 2006, at 12:59 PM, Brian Burkhalter wrote:
>
>> We have posted this query before but I can't recall when so here we go
>> again.
>>
>> What is the version requirement for your application?
>>
>> Is there anyone who is still restricted to JRE 1.3?
>>
>> Is there anyone who *not* be able to deploy on Java 5 starting for example
>> from March/April 2007?
>>
>> Thanks,
>>
>> Brian
>>
>> ----------------
>> Brian Burkhalter
>> Java Media, Imaging, and Graphics
>> Sun Microsystems, Inc.
>>
>> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> This email message is for the sole use of the intended recipient(s)
>> and may contain confidential and privileged information. Any
>> unauthorized review, use, disclosure or distribution is prohibited.
>> If you are not the intended recipient, please contact the sender by
>> reply email and destroy all copies of the original message.
>> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
>> For additional commands, e-mail: interest-help@jai-imageio.dev.java.net
>>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
> For additional commands, e-mail: interest-help@jai-imageio.dev.java.net
>
>

----------------
Brian Burkhalter
Java Media, Imaging, and Graphics
Sun Microsystems, Inc.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
This email message is for the sole use of the intended recipient(s)
and may contain confidential and privileged information. Any
unauthorized review, use, disclosure or distribution is prohibited.
If you are not the intended recipient, please contact the sender by
reply email and destroy all copies of the original message.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

Ken Blair

Everything that needs JAI is developed for 1.5+.

Brian Burkhalter wrote:
> We have posted this query before but I can't recall when so here we go
> again.
>
> What is the version requirement for your application?
>
> Is there anyone who is still restricted to JRE 1.3?
>
> Is there anyone who *not* be able to deploy on Java 5 starting for
> example from March/April 2007?
>
> Thanks,
>
> Brian
>
> ----------------
> Brian Burkhalter
> Java Media, Imaging, and Graphics
> Sun Microsystems, Inc.
>
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> This email message is for the sole use of the intended recipient(s)
> and may contain confidential and privileged information. Any
> unauthorized review, use, disclosure or distribution is prohibited.
> If you are not the intended recipient, please contact the sender by
> reply email and destroy all copies of the original message.
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
> For additional commands, e-mail: interest-help@jai-imageio.dev.java.net
>

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

HELLE Guillaume

We are on JRE 1.5 with JAI and JAI-IMAGEIO.

Guillaume Helle

This message contains information that may be privileged or confidential and is the property of the Capgemini Group. It is intended only for the person to whom it is addressed. If you are not the intended recipient, you are not authorized to read, print, retain, copy, disseminate, distribute, or use this message or any part thereof. If you receive this message in error, please notify the sender immediately and delete all copies of this message.

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

Bradford Castalia

For external deployment of applications that we develop we have decided
to remain with 1.4 to maximize usability by the public. We have to draw
a line in the sand somewhere and 1.4 is where it lies. When 1.5 becomes
as ubiquitously installed on end user systems (not just that it could be
installed, but that it actually is there) as 1.4 then we'll move
forward.
This, of course, is difficult to gauge. I'm hopeful that by next Spring
we can say it's time to move the line in the sand.

Bradford Castalia Senior Systems Analyst
Planetary Image Research Laboratory University of Arizona

"Build an image in your mind, fit yourself into it."

On Oct 12, 2006, at 12:59 PM, Brian Burkhalter wrote:

> We have posted this query before but I can't recall when so here we
> go again.
>
> What is the version requirement for your application?
>
> Is there anyone who is still restricted to JRE 1.3?
>
> Is there anyone who *not* be able to deploy on Java 5 starting for
> example from March/April 2007?
>
> Thanks,
>
> Brian
>
> ----------------
> Brian Burkhalter
> Java Media, Imaging, and Graphics
> Sun Microsystems, Inc.
>

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

Fabrizio Giudici

On Oct 12, 2006, at 19:59 , Brian Burkhalter wrote:

>
> Is there anyone who *not* be able to deploy on Java 5 starting for
> example from March/April 2007?
>

I presume we should start pushing Apple for delivering its own update...

--
Fabrizio Giudici, Ph.D. - Java Architect, Project Manager
Tidalwave s.a.s. - "We make Java work. Everywhere."
http://www.tidalwave.it/blog - Fabrizio.Giudici@tidalwave.it
mobile: +39 348.150.6941 - fax: +39 027.005.105.36

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

Fabrizio Giudici

On Oct 12, 2006, at 19:59 , Brian Burkhalter wrote:

> We have posted this query before but I can't recall when so here we
> go again.
>
> What is the version requirement for your application?

Java 5 on all projects.

>
> Is there anyone who is still restricted to JRE 1.3?
>
> Is there anyone who *not* be able to deploy on Java 5 starting for
> example from March/April 2007?

--
Fabrizio Giudici, Ph.D. - Java Architect, Project Manager
Tidalwave s.a.s. - "We make Java work. Everywhere."
http://www.tidalwave.it/blog - Fabrizio.Giudici@tidalwave.it
mobile: +39 348.150.6941 - fax: +39 027.005.105.36

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

robert engels

i do think that deploy and develop are too different things. Will we
need 1.5 to develop?

On Oct 12, 2006, at 12:59 PM, Brian Burkhalter wrote:

> We have posted this query before but I can't recall when so here we
> go again.
>
> What is the version requirement for your application?
>
> Is there anyone who is still restricted to JRE 1.3?
>
> Is there anyone who *not* be able to deploy on Java 5 starting for
> example from March/April 2007?
>
> Thanks,
>
> Brian
>
> ----------------
> Brian Burkhalter
> Java Media, Imaging, and Graphics
> Sun Microsystems, Inc.
>
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> This email message is for the sole use of the intended recipient(s)
> and may contain confidential and privileged information. Any
> unauthorized review, use, disclosure or distribution is prohibited.
> If you are not the intended recipient, please contact the sender by
> reply email and destroy all copies of the original message.
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
> For additional commands, e-mail: interest-help@jai-
> imageio.dev.java.net
>

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

Brian Burkhalter

You're correct: I should have written develop. In considering the direction
forward for JAI and JAI Image I/O one needs to determine the JVM version
requirements as that might dictate some changes. For example using generics in
JAI would clean up the code a lot.

On Thu, 12 Oct 2006, robert engels wrote:

> i do think that deploy and develop are too different things. Will we need 1.5
> to develop?
>
> On Oct 12, 2006, at 12:59 PM, Brian Burkhalter wrote:
>
>> We have posted this query before but I can't recall when so here we go
>> again.
>>
>> What is the version requirement for your application?
>>
>> Is there anyone who is still restricted to JRE 1.3?
>>
>> Is there anyone who *not* be able to deploy on Java 5 starting for example
>> from March/April 2007?
>>
>> Thanks,
>>
>> Brian
>>
>> ----------------
>> Brian Burkhalter
>> Java Media, Imaging, and Graphics
>> Sun Microsystems, Inc.
>>
>> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> This email message is for the sole use of the intended recipient(s)
>> and may contain confidential and privileged information. Any
>> unauthorized review, use, disclosure or distribution is prohibited.
>> If you are not the intended recipient, please contact the sender by
>> reply email and destroy all copies of the original message.
>> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
>> For additional commands, e-mail: interest-help@jai-imageio.dev.java.net
>>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
> For additional commands, e-mail: interest-help@jai-imageio.dev.java.net
>
>

----------------
Brian Burkhalter
Java Media, Imaging, and Graphics
Sun Microsystems, Inc.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
This email message is for the sole use of the intended recipient(s)
and may contain confidential and privileged information. Any
unauthorized review, use, disclosure or distribution is prohibited.
If you are not the intended recipient, please contact the sender by
reply email and destroy all copies of the original message.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net

robert engels

We are fine with 1.5 in that timeframe. We deploy on 1.5 now (still
develop against 1.4).

On Oct 12, 2006, at 12:59 PM, Brian Burkhalter wrote:

> We have posted this query before but I can't recall when so here we
> go again.
>
> What is the version requirement for your application?
>
> Is there anyone who is still restricted to JRE 1.3?
>
> Is there anyone who *not* be able to deploy on Java 5 starting for
> example from March/April 2007?
>
> Thanks,
>
> Brian
>
> ----------------
> Brian Burkhalter
> Java Media, Imaging, and Graphics
> Sun Microsystems, Inc.
>
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> This email message is for the sole use of the intended recipient(s)
> and may contain confidential and privileged information. Any
> unauthorized review, use, disclosure or distribution is prohibited.
> If you are not the intended recipient, please contact the sender by
> reply email and destroy all copies of the original message.
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
> For additional commands, e-mail: interest-help@jai-
> imageio.dev.java.net
>

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@jai-imageio.dev.java.net
For additional commands, e-mail: interest-help@jai-imageio.dev.java.net